Subject: bug#77046: 31.0.50; Emacs sometimes crashes

From: Markus Triska <[email-masked]>
Date: Sun, 23 Mar 2025 09:12:55 +0100

Eli Zaretskii <[email-masked]> writes:

> Too soon: it turns out the change I pushed was rejected, so now pushed
> again.  Please try with the latest master.

I no longer encounter the crash with the latest master version, thank
you a lot!

Regarding your commit message: This is the first and simplest test case
I created using frames on TTY, and it led to 3 distinct fixes that are
now applied. Without these fixes, we will run into situations that cause
such crashes. The loop I used helps to elicit such scenarios.

Thank you and all the best,
Markus